Skip to main content

Base URL

All API requests must be made over HTTPS. Requests made over plain HTTP will fail.

Endpoint overview

Pages endpoints

Collections endpoints

Blog Posts endpoints

Blog metadata endpoints

Feeds endpoints

URL structure

Pages URL pattern

Parameters:
  • page_type: The slug of the Page Type (use * for Single Pages)
  • page_slug: The unique slug identifier of the page
Examples:

Collections URL pattern

Parameters:
  • collection_key: The unique identifier/slug of the Collection
  • item_id: The numeric ID of the Collection item
Examples:

Blog Posts URL pattern

Parameters:
  • slug: The unique slug identifier of the blog post
Examples:

Common query parameters

Authentication

Pagination

Content options

Blog-specific

Example API calls

Fetching Pages

Fetching Collections

Fetching Blog Posts

Trailing slashes

ButterCMS API endpoints require trailing slashes. Requests without trailing slashes will be redirected.

HTTPS required

All API requests must use HTTPS. The API does not accept plain HTTP requests.

Next steps

Request/Response Format

Learn about JSON data structures

HTTP Status Codes

Understand error responses